using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public static class RadioButton
    {
        public static RadioButtonHandler Click(string value, int repeatingTime = 0)
        {
            return HandlerProvider.RadioButtonHandler.Click(value, repeatingTime);
        }
        public static RadioButtonHandler DoubleClick(string value, int repeatingTime = 0)
        {
            return HandlerProvider.RadioButtonHandler.DoubleClick(value, repeatingTime);
        }
        public static RadioButtonHandler ClickByName(string value, int repeatingTime = 0)
        {
            return HandlerProvider.RadioButtonHandler.ClickByName(value, repeatingTime);
        }
        public static RadioButtonHandler ClickByAutoId(string value, int repeatingTime = 0)
        {
            return HandlerProvider.RadioButtonHandler.ClickByAutoId(value, repeatingTime);
        }
        public static bool IsChecked(string value, int repeatingTime = 0)
        {
            if (HandlerProvider.RadioButtonHandler.IsChecked(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
        public static bool Exist(string value, int repeatingTime = 0)
        {
            if (HandlerProvider.RadioButtonHandler.Exist(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
        public static bool IsVisible(string value, int repeatingTime = 0)
        {
            if (HandlerProvider.RadioButtonHandler.IsVisible(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
    }
}
